api_platform:
    mapping:
        paths:
            - '%kernel.project_dir%/src/Entity'

    formats:
        json:     ['application/json']
        jsonld:   ['application/ld+json']
        jsonhal:  ['application/hal+json']
        jsonapi:  ['application/vnd.api+json']
        xml:      ['application/xml', 'text/xml']
        yaml:     ['application/x-yaml']
        csv:      ['text/csv']
        html:     ['text/html']

    patch_formats:
        json:     ['application/json']
        jsonld:   ['application/ld+json']
        jsonhal:  ['application/hal+json']
        jsonapi:  ['application/vnd.api+json']
        xml:      ['application/xml', 'text/xml']
        yaml:     ['application/x-yaml']
        csv:      ['text/csv']
        html:     ['text/html']

    eager_loading:
        max_joins: 250

    swagger:
        versions: [3]
        api_keys:
             JWT:
                name: Authorization
                type: header

    collection:
        pagination:
            enabled: false

            items_per_page_parameter_name: 'size'
            client_items_per_page: true

